Subject: Is Craftman impact wrench good?

From: [email-masked] (M Lang)
Date: 5 Oct 1995 20:16:02 GMT

I need to replace my cheap chinese made impact wrench
with a good and more powerful one. I'm looking at
the following from the Sears catalog:

- Craftman 1/2", 25-400 working torque, $120 (imported)
- Chicago Pneumatic 1/2", 25-290 working torque, $110 (usa)
- IR, max torque 330 (no working torque listed), $80 (imported)

I like the more powerful Craftman but is it as good
as a CP or IR? What's your experience on this?
I would really appreciate any help or comments.

THanks a lot.

 - Minh -

PS: what exactly is the difference between max torque
and working torque? Is it one without load and the other
under load?